# Generated by go2rpm 1.9.0
%bcond_with check
%global gomodulesmode GO111MODULE=on

# https://github.com/containerd/nerdctl
%global goipath         github.com/containerd/nerdctl
Version:                1.7.7

%gometa -f

%global goname nerdctl

%global common_description %{expand:
ContaiNERD CTL - Docker-compatible CLI for containerd, with support for
Compose, Rootless, eStargz, OCIcrypt, IPFS}

%global golicenses      LICENSE NOTICE
%global godocs          docs examples MAINTAINERS_GUIDE.md README.md\\\
                        SECURITY.md

Name:           %{goname}
Release:        %autorelease -b3
Summary:        ContaiNERD CTL - Docker-compatible CLI for containerd

License:        Apache-2.0
URL:            %{gourl}
Source:         %{gosource}

BuildRequires:  git-core

Requires:       containerd
Requires:       containernetworking-plugins
Recommends:     slirp4netns
Recommends:     buildkit

%description %{common_description}


%prep
%goprep -k
%autopatch -p1
# go mod vendor

%build
export LDFLAGS="-X %{goipath}/pkg/version.Version=%{version} "
for cmd in cmd/* ; do
  %gobuild \-modcacherw -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done
%{gobuilddir}/bin/%{name} completion bash > %{name}.bash
%{gobuilddir}/bin/%{name} completion fish > %{name}.fish
%{gobuilddir}/bin/%{name} completion zsh  > %{name}.zsh

%install
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

install -Dpm 0755 extras/rootless/*.sh -t %{buildroot}%{_bindir}

install -Dpm 0644 %{name}.bash %{buildroot}%{bash_completions_dir}/%{name}
install -Dpm 0644 %{name}.fish %{buildroot}%{fish_completions_dir}/%{name}.fish
install -Dpm 0644 %{name}.zsh  %{buildroot}%{zsh_completions_dir}/_%{name}

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE NOTICE
%doc docs examples MAINTAINERS_GUIDE.md README.md SECURITY.md
%{_bindir}/*
%{bash_completions_dir}/%{name}
%{fish_completions_dir}/%{name}.fish
%{zsh_completions_dir}/_%{name}

%changelog
%autochangelog
